'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _dependenceManager = require('../dependence-manager');

var _dependenceManager2 = _interopRequireDefault(_dependenceManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Lead = function () {
  function Lead() {
    (0, _classCallCheck3.default)(this, Lead);
  }

  (0, _createClass3.default)(Lead, null, [{
    key: 'create',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(values) {
        var data, Provider, _ref2, id;

        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                data = {
                  FirstName: values.firstName,
                  LastName: values.lastName,
                  Company: values.company,
                  LeadSource: 'From WeChat'
                };
                Provider = _dependenceManager2.default.get('SalesforceAPIProvider');
                _context.next = 4;
                return Provider.create('Lead', data);

              case 4:
                _ref2 = _context.sent;
                id = _ref2.id;
                return _context.abrupt('return', id);

              case 7:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function create(_x) {
        return _ref.apply(this, arguments);
      }

      return create;
    }()
  }]);
  return Lead;
}();

exports.default = Lead;