'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.VuexModule = exports.VuexModuleManager = exports.VuexModuleDependenceManager = undefined;

var _dependenceManager = require('./dependence-manager');

var _dependenceManager2 = _interopRequireDefault(_dependenceManager);

var _modules = require('./modules');

var _modules2 = _interopRequireDefault(_modules);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var sharedModules = {
  EventModule: _modules.EventModule,
  AttendeeModule: _modules.AttendeeModule,
  WeChatCampaignFlowModule: _modules.WeChatCampaignFlowModule,
  WeChatQRCodeModule: _modules.WeChatQRCodeModule,
  WeChatFollowerModule: _modules.WeChatFollowerModule,
  NameBadgeTemplateModule: _modules.NameBadgeTemplateModule
};

exports.default = sharedModules;
exports.VuexModuleDependenceManager = _dependenceManager2.default;
exports.VuexModuleManager = _modules2.default;
exports.VuexModule = _modules.VuexModule;