'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.NameBadgeTemplateModule = exports.WeChatFollowerModule = exports.WeChatQRCodeModule = exports.WeChatCampaignFlowModule = exports.AttendeeModule = exports.EventModule = exports.VuexModule = undefined;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _module = require('./module');

var _module2 = _interopRequireDefault(_module);

var _event = require('./event');

var _event2 = _interopRequireDefault(_event);

var _attendee = require('./attendee');

var _attendee2 = _interopRequireDefault(_attendee);

var _wechatCampaignFlow = require('./wechat-campaign-flow');

var _wechatCampaignFlow2 = _interopRequireDefault(_wechatCampaignFlow);

var _wechatQrcode = require('./wechat-qrcode');

var _wechatQrcode2 = _interopRequireDefault(_wechatQrcode);

var _wechatFollower = require('./wechat-follower');

var _wechatFollower2 = _interopRequireDefault(_wechatFollower);

var _nameBadgeTemplate = require('./name-badge-template');

var _nameBadgeTemplate2 = _interopRequireDefault(_nameBadgeTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var VuexModuleManager = function () {
  function VuexModuleManager(options) {
    (0, _classCallCheck3.default)(this, VuexModuleManager);

    this.options = options;
    this._modules = {};
    this._types = {};
    this._getterTypes = {};
    this._actionTypes = {};
    this._mutationTypes = {};
  }

  (0, _createClass3.default)(VuexModuleManager, [{
    key: 'set',
    value: function set(name, module) {
      this._modules[name] = module;
      (0, _assign2.default)(this._types, module.types);
      (0, _assign2.default)(this._getterTypes, module.getterTypes);
      (0, _assign2.default)(this._actionTypes, module.actionTypes);
      (0, _assign2.default)(this._mutationTypes, module.mutationTypes);
    }
  }, {
    key: 'modules',
    get: function get() {
      return this._modules;
    }
  }, {
    key: 'types',
    get: function get() {
      return this._types;
    }
  }, {
    key: 'getterTypes',
    get: function get() {
      return this._getterTypes;
    }
  }, {
    key: 'actionTypes',
    get: function get() {
      return this._actionTypes;
    }
  }, {
    key: 'mutationTypes',
    get: function get() {
      return this._mutationTypes;
    }
  }]);
  return VuexModuleManager;
}();

exports.default = VuexModuleManager;
exports.VuexModule = _module2.default;
exports.EventModule = _event2.default;
exports.AttendeeModule = _attendee2.default;
exports.WeChatCampaignFlowModule = _wechatCampaignFlow2.default;
exports.WeChatQRCodeModule = _wechatQrcode2.default;
exports.WeChatFollowerModule = _wechatFollower2.default;
exports.NameBadgeTemplateModule = _nameBadgeTemplate2.default;