'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _module = require('./module');

var _module2 = _interopRequireDefault(_module);

var _bl = require('../bl');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _state = {
  selected: null
};

var WeChatCampaignFlowModule = function (_VuexModule) {
  (0, _inherits3.default)(WeChatCampaignFlowModule, _VuexModule);

  function WeChatCampaignFlowModule() {
    (0, _classCallCheck3.default)(this, WeChatCampaignFlowModule);
    return (0, _possibleConstructorReturn3.default)(this, (WeChatCampaignFlowModule.__proto__ || (0, _getPrototypeOf2.default)(WeChatCampaignFlowModule)).apply(this, arguments));
  }

  (0, _createClass3.default)(WeChatCampaignFlowModule, [{
    key: 'state',
    get: function get() {
      return _state;
    }
  }, {
    key: 'getterTypes',
    get: function get() {
      return {
        SELECTED_WECHAT_CAMPAIGN_FLOW: 'SELECTED_WECHAT_CAMPAIGN_FLOW'
      };
    }
  }, {
    key: 'actionTypes',
    get: function get() {
      return {
        WECHAT_CAMPAIGN_FLOW_SEARCH: 'WECHAT_CAMPAIGN_FLOW_SEARCH',
        WECHAT_CAMPAIGN_FLOW_GET_BY_ID: 'WECHAT_CAMPAIGN_FLOW_GET_BY_ID'
      };
    }
  }, {
    key: 'mutationTypes',
    get: function get() {
      return {
        SELECT_WECHAT_CAMPAIGN_FLOW: 'SELECT_WECHAT_CAMPAIGN_FLOW'
      };
    }
  }, {
    key: 'getters',
    get: function get() {
      return (0, _defineProperty3.default)({}, this.types.SELECTED_WECHAT_CAMPAIGN_FLOW, function (_ref) {
        var selected = _ref.selected;
        return selected;
      });
    }
  }, {
    key: 'actions',
    get: function get() {
      var _this2 = this,
          _ref5;

      return _ref5 = {}, (0, _defineProperty3.default)(_ref5, this.types.WECHAT_CAMPAIGN_FLOW_SEARCH, function () {
        var _ref3 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(context, keyword) {
          var flows;
          return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _context.next = 2;
                  return _bl.WeChatCampaignFlow.search(keyword.trim(), 50);

                case 2:
                  flows = _context.sent;
                  return _context.abrupt('return', flows);

                case 4:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this2);
        }));

        return function (_x, _x2) {
          return _ref3.apply(this, arguments);
        };
      }()), (0, _defineProperty3.default)(_ref5, this.types.WECHAT_CAMPAIGN_FLOW_GET_BY_ID, function () {
        var _ref4 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(context, id) {
          var flow;
          return _regenerator2.default.wrap(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  _context2.next = 2;
                  return _bl.WeChatCampaignFlow.getById(id);

                case 2:
                  flow = _context2.sent;
                  return _context2.abrupt('return', flow);

                case 4:
                case 'end':
                  return _context2.stop();
              }
            }
          }, _callee2, _this2);
        }));

        return function (_x3, _x4) {
          return _ref4.apply(this, arguments);
        };
      }()), _ref5;
    }
  }, {
    key: 'mutations',
    get: function get() {
      return (0, _defineProperty3.default)({}, this.types.SELECT_WECHAT_CAMPAIGN_FLOW, function (state, flow) {
        state.selected = flow;
      });
    }
  }]);
  return WeChatCampaignFlowModule;
}(_module2.default);

exports.default = WeChatCampaignFlowModule;