'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _dependenceManager = require('../dependence-manager');

var _dependenceManager2 = _interopRequireDefault(_dependenceManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var Campaign = function () {
  function Campaign(id) {
    (0, _classCallCheck3.default)(this, Campaign);

    this.id = id;
  }

  (0, _createClass3.default)(Campaign, [{
    key: 'createCampaignMember',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(values) {
        var data, Provider, result;
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                data = (0, _assign2.default)({ CampaignId: this.id }, values);
                Provider = _dependenceManager2.default.get('SalesforceAPIProvider');
                _context.next = 4;
                return Provider.create('CampaignMember', data);

              case 4:
                result = _context.sent;

                if (!(result.errors.length > 0)) {
                  _context.next = 7;
                  break;
                }

                throw new Error(result.errors[0]);

              case 7:
                return _context.abrupt('return', result.id);

              case 8:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function createCampaignMember(_x) {
        return _ref.apply(this, arguments);
      }

      return createCampaignMember;
    }()
  }, {
    key: 'updateCampaignMember',
    value: function () {
      var _ref2 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(id, values) {
        var Provider;
        return _regenerator2.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                Provider = _dependenceManager2.default.get('SalesforceAPIProvider');
                _context2.next = 3;
                return Provider.update('CampaignMember', id, values);

              case 3:
                return _context2.abrupt('return', id);

              case 4:
              case 'end':
                return _context2.stop();
            }
          }
        }, _callee2, this);
      }));

      function updateCampaignMember(_x2, _x3) {
        return _ref2.apply(this, arguments);
      }

      return updateCampaignMember;
    }()
  }]);
  return Campaign;
}();

exports.default = Campaign;