'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WeChatCampaignFlowStep = function () {
  function WeChatCampaignFlowStep(options) {
    (0, _classCallCheck3.default)(this, WeChatCampaignFlowStep);

    (0, _assign2.default)(this, options);
    this._qRCodes = [];
    this._checkinStaffs = [];
    this._nameBadgeTemplates = [];
    this._checkInMethod = '';
  }

  (0, _createClass3.default)(WeChatCampaignFlowStep, [{
    key: 'type',
    get: function get() {
      if (this._checkinStaffs.length > 0) {
        return 'Pass';
      }

      if (this._qRCodes.length > 0) {
        return 'QR Code';
      }

      return 'Unknown';
    }

    // todo: refactor

  }, {
    key: 'qRCodes',
    get: function get() {
      return this._qRCodes;
    }

    // todo: refactor

  }, {
    key: 'checkinStaffs',
    get: function get() {
      return this._checkinStaffs;
    }

    // todo: refactor

  }, {
    key: 'nameBadgeTemplates',
    get: function get() {
      return this._nameBadgeTemplates;
    }

    // todo: refactor

  }, {
    key: 'checkInMethod',
    get: function get() {
      return this._checkInMethod;
    }
  }], [{
    key: 'from',
    value: function from() {
      var data = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

      delete data.attributes;
      data.Rules__c = JSON.parse(data.Rules__c);
      // for dev
      /* eslint-disable */
      // if ((!data.Rules__c.QRCodes || data.Rules__c.QRCodes.length === 0) && process.env.NODE_ENV === 'development') {
      //   data.Rules__c.QRCodes = [{
      //     Id: 'a0N41000001d69bEAA'
      //   }, {
      //     Id: 'a0N41000001d69qEAA'
      //   }, {
      //     Id: 'a0N41000001d6AFEAY'
      //   }];
      // }

      // if ((!data.Rules__c.CheckinStaff || data.Rules__c.CheckinStaff.length === 0) && process.env.NODE_ENV === 'development') {
      //   data.Rules__c.CheckinStaff = ['a0641000001phDbAAI', 'a0641000001CH0GAAW', 'a0641000001CNPEAA4'];
      // }

      // if (!data.Rules__c.BadgeTemplates && process.env.NODE_ENV === 'development') {
      //   data.Rules__c.BadgeTemplates = [{
      //     Id: 'a0d4100000AE29PAAT'
      //   }, {
      //     Id: 'a0d4100000AE29KAAT'
      //   }];
      // }

      // if (data.Type__c === 'Registration' && process.env.NODE_ENV === 'development') {
      //   data.Type__c = 'Check-in';
      // }
      /* eslint-enable */
      // end dev

      var step = new WeChatCampaignFlowStep(data);
      if (step.Rules__c && step.Rules__c.QRCodes) {
        step._qRCodes = step.Rules__c.QRCodes;
      }

      if (step.Rules__c && step.Rules__c.CheckinStaff) {
        step._checkinStaffs = step.Rules__c.CheckinStaff;
      }

      if (step.Rules__c && step.Rules__c.BadgeTemplates) {
        step._nameBadgeTemplates = step.Rules__c.BadgeTemplates;
      }

      if (step.Rules__c && step.Rules__c.Type) {
        step._checkInMethod = step.Rules__c.Type;
      }

      return step;
    }
  }]);
  return WeChatCampaignFlowStep;
}();

exports.default = WeChatCampaignFlowStep;