'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _typeof2 = require('babel-runtime/helpers/typeof');

var _typeof3 = _interopRequireDefault(_typeof2);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _dependenceManager = require('../dependence-manager');

var _dependenceManager2 = _interopRequireDefault(_dependenceManager);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var WeChatQRCode = function () {
  function WeChatQRCode() {
    var options = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
    (0, _classCallCheck3.default)(this, WeChatQRCode);

    if (typeof options === 'string') {
      this.id = options;
    } else if ((typeof options === 'undefined' ? 'undefined' : (0, _typeof3.default)(options)) === 'object') {
      (0, _assign2.default)(this, options);
    }
  }

  (0, _createClass3.default)(WeChatQRCode, null, [{
    key: 'getById',
    value: function () {
      var _ref = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(id) {
        var idArray, soql, Provider, result;
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                if (id) {
                  _context.next = 2;
                  break;
                }

                throw new Error('Invalid id');

              case 2:
                idArray = typeof id === 'string' ? [id] : id;
                soql = ['select Id, Name, Charket__AttachmentId__c ', 'from Charket__WeChatQRCode__c ', 'where Id = \'' + idArray.join('\' or Id = \'') + '\''].join('');
                Provider = _dependenceManager2.default.get('SalesforceAPIProvider');
                _context.next = 7;
                return Provider.query(soql);

              case 7:
                result = _context.sent;

                if (!(!result || !result.records || result.records.length === 0)) {
                  _context.next = 10;
                  break;
                }

                return _context.abrupt('return', typeof id === 'string' ? null : []);

              case 10:
                if (!(typeof id === 'string')) {
                  _context.next = 12;
                  break;
                }

                return _context.abrupt('return', new WeChatQRCode(result.records[0]));

              case 12:
                return _context.abrupt('return', result.records.map(function (record) {
                  return new WeChatQRCode(record);
                }));

              case 13:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function getById(_x2) {
        return _ref.apply(this, arguments);
      }

      return getById;
    }()

    // async getImage() {
    //   const qrcode = await this.SObject.get(this.id);

    //   return Attachment.getBody(qrcode.AttachmentId__c);
    // }

  }]);
  return WeChatQRCode;
}();

exports.default = WeChatQRCode;