'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _map = require('babel-runtime/core-js/map');

var _map2 = _interopRequireDefault(_map);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var providers = new _map2.default();

var VuexModuleDependenceManager = function () {
  function VuexModuleDependenceManager() {
    (0, _classCallCheck3.default)(this, VuexModuleDependenceManager);
  }

  (0, _createClass3.default)(VuexModuleDependenceManager, null, [{
    key: 'inject',
    value: function inject(name, provider) {
      if (!name) {
        throw new Error('invalid provider name');
      }

      if (!provider) {
        throw new Error('invalid provider');
      }

      if (providers.has(name)) {
        throw new Error('duplication of provider ' + name);
      }

      providers.set(name, provider);
    }
  }, {
    key: 'get',
    value: function get(name) {
      if (!name) {
        throw new Error('invalid provider name');
      }

      var provider = providers.get(name);
      if (!provider) {
        throw new Error('cannot get provider class with name ' + name);
      }

      return provider;
    }
  }]);
  return VuexModuleDependenceManager;
}();

exports.default = VuexModuleDependenceManager;