'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = require('babel-runtime/regenerator');

var _regenerator2 = _interopRequireDefault(_regenerator);

var _asyncToGenerator2 = require('babel-runtime/helpers/asyncToGenerator');

var _asyncToGenerator3 = _interopRequireDefault(_asyncToGenerator2);

var _defineProperty2 = require('babel-runtime/helpers/defineProperty');

var _defineProperty3 = _interopRequireDefault(_defineProperty2);

var _getPrototypeOf = require('babel-runtime/core-js/object/get-prototype-of');

var _getPrototypeOf2 = _interopRequireDefault(_getPrototypeOf);

var _classCallCheck2 = require('babel-runtime/helpers/classCallCheck');

var _classCallCheck3 = _interopRequireDefault(_classCallCheck2);

var _createClass2 = require('babel-runtime/helpers/createClass');

var _createClass3 = _interopRequireDefault(_createClass2);

var _possibleConstructorReturn2 = require('babel-runtime/helpers/possibleConstructorReturn');

var _possibleConstructorReturn3 = _interopRequireDefault(_possibleConstructorReturn2);

var _inherits2 = require('babel-runtime/helpers/inherits');

var _inherits3 = _interopRequireDefault(_inherits2);

var _vue = require('vue');

var _vue2 = _interopRequireDefault(_vue);

var _bl = require('../bl');

var _module = require('./module');

var _module2 = _interopRequireDefault(_module);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var _state = {
  events: [],
  selected: null
};

var EventModule = function (_VuexModule) {
  (0, _inherits3.default)(EventModule, _VuexModule);

  function EventModule() {
    (0, _classCallCheck3.default)(this, EventModule);
    return (0, _possibleConstructorReturn3.default)(this, (EventModule.__proto__ || (0, _getPrototypeOf2.default)(EventModule)).apply(this, arguments));
  }

  (0, _createClass3.default)(EventModule, [{
    key: 'state',
    get: function get() {
      return _state;
    }
  }, {
    key: 'getterTypes',
    get: function get() {
      return {
        EVENT_ALL: 'EVENT_ALL',
        EVENT_SELECTED: 'EVENT_SELECTED'
      };
    }
  }, {
    key: 'actionTypes',
    get: function get() {
      return {
        EVENT_FETCH: 'EVENT_FETCH',
        EVENT_CREATE: 'EVENT_CREATE',
        EVENT_DELETE: 'EVENT_DELETE',
        EVENT_UPDATE: 'EVENT_UPDATE'
      };
    }
  }, {
    key: 'mutationTypes',
    get: function get() {
      return {
        EVENT_CREATE__SUCCESS: 'EVENT_CREATE__SUCCESS',
        EVENT_FETCH__SUCCESS: 'EVENT_FETCH__SUCCESS',
        EVENT_DELETE__SUCCESS: 'EVENT_DELETE__SUCCESS',
        EVENT_UPDATE__SUCCESS: 'EVENT_UPDATE__SUCCESS',
        EVENT_SELECTION: 'EVENT_SELECTION'
      };
    }
  }, {
    key: 'getters',
    get: function get() {
      var _ref3;

      return _ref3 = {}, (0, _defineProperty3.default)(_ref3, this.types.EVENT_ALL, function (_ref) {
        var events = _ref.events;
        return events;
      }), (0, _defineProperty3.default)(_ref3, this.types.EVENT_SELECTED, function (_ref2) {
        var selected = _ref2.selected;
        return selected;
      }), _ref3;
    }
  }, {
    key: 'actions',
    get: function get() {
      var _this2 = this,
          _ref12;

      return _ref12 = {}, (0, _defineProperty3.default)(_ref12, this.types.EVENT_FETCH, function () {
        var _ref5 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee(_ref4) {
          var commit = _ref4.commit;
          var events;
          return _regenerator2.default.wrap(function _callee$(_context) {
            while (1) {
              switch (_context.prev = _context.next) {
                case 0:
                  _context.next = 2;
                  return _bl.Event.list();

                case 2:
                  events = _context.sent;

                  commit(_this2.types.EVENT_FETCH__SUCCESS, events);

                  return _context.abrupt('return', events);

                case 5:
                case 'end':
                  return _context.stop();
              }
            }
          }, _callee, _this2);
        }));

        return function (_x) {
          return _ref5.apply(this, arguments);
        };
      }()), (0, _defineProperty3.default)(_ref12, this.types.EVENT_CREATE, function () {
        var _ref7 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee2(_ref6, values) {
          var commit = _ref6.commit;
          var event;
          return _regenerator2.default.wrap(function _callee2$(_context2) {
            while (1) {
              switch (_context2.prev = _context2.next) {
                case 0:
                  _context2.next = 2;
                  return _bl.Event.create(values);

                case 2:
                  event = _context2.sent;

                  commit(_this2.types.EVENT_CREATE__SUCCESS, event);

                  return _context2.abrupt('return', event.uid);

                case 5:
                case 'end':
                  return _context2.stop();
              }
            }
          }, _callee2, _this2);
        }));

        return function (_x2, _x3) {
          return _ref7.apply(this, arguments);
        };
      }()), (0, _defineProperty3.default)(_ref12, this.types.EVENT_DELETE, function () {
        var _ref9 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee3(_ref8, uid) {
          var commit = _ref8.commit;
          return _regenerator2.default.wrap(function _callee3$(_context3) {
            while (1) {
              switch (_context3.prev = _context3.next) {
                case 0:
                  _context3.next = 2;
                  return _bl.Event.del(uid);

                case 2:
                  commit(_this2.types.EVENT_DELETE__SUCCESS, uid);

                case 3:
                case 'end':
                  return _context3.stop();
              }
            }
          }, _callee3, _this2);
        }));

        return function (_x4, _x5) {
          return _ref9.apply(this, arguments);
        };
      }()), (0, _defineProperty3.default)(_ref12, this.types.EVENT_UPDATE, function () {
        var _ref11 = (0, _asyncToGenerator3.default)( /*#__PURE__*/_regenerator2.default.mark(function _callee4(_ref10, values) {
          var commit = _ref10.commit;
          var event;
          return _regenerator2.default.wrap(function _callee4$(_context4) {
            while (1) {
              switch (_context4.prev = _context4.next) {
                case 0:
                  _context4.next = 2;
                  return _bl.Event.update(values);

                case 2:
                  event = _context4.sent;

                  commit(_this2.types.EVENT_UPDATE__SUCCESS, event);

                case 4:
                case 'end':
                  return _context4.stop();
              }
            }
          }, _callee4, _this2);
        }));

        return function (_x6, _x7) {
          return _ref11.apply(this, arguments);
        };
      }()), _ref12;
    }
  }, {
    key: 'mutations',
    get: function get() {
      var _ref13;

      return _ref13 = {}, (0, _defineProperty3.default)(_ref13, this.types.EVENT_CREATE__SUCCESS, function (state, event) {
        state.events.unshift(event);
        state.selected = event;
      }), (0, _defineProperty3.default)(_ref13, this.types.EVENT_FETCH__SUCCESS, function (state, events) {
        state.events = events;
        state.events.sort(function (a, b) {
          var dateA = new Date(a.createdDate);
          var dateB = new Date(b.createdDate);
          if (dateA < dateB) {
            return 1;
          }

          return -1;
        });
      }), (0, _defineProperty3.default)(_ref13, this.types.EVENT_DELETE__SUCCESS, function (state, uid) {
        var index = state.events.findIndex(function (e) {
          return e.uid === uid;
        });
        state.events.splice(index, 1);
        if (state.events.length > 0) {
          var selectedIndex = index - 1 < 0 ? 0 : index - 1;
          state.selected = state.events[selectedIndex];
        } else {
          state.selected = new _bl.Event();
        }
      }), (0, _defineProperty3.default)(_ref13, this.types.EVENT_UPDATE__SUCCESS, function (state, event) {
        var index = state.events.findIndex(function (e) {
          return e.uid === event.uid;
        });
        _vue2.default.set(state.events, index, event);
        state.selected = event;
      }), (0, _defineProperty3.default)(_ref13, this.types.EVENT_SELECTION, function (state, event) {
        state.selected = event || new _bl.Event();
      }), _ref13;
    }
  }]);
  return EventModule;
}(_module2.default);

exports.default = EventModule;